<?php

namespace Nakko\MeprMemberStatus;

class MemberStatusPlugin {
    const OPTION_GROUP = "mepr-member-status";

    /**
     * Plugin initialization
     * @return void
     */
    public static function init() {

    }

    /**
     * Plugin admin initialization
     * @return void
     */
    public static function admin_init() {
        Options::defaults();
        self::register_settings();
    }


    /**
     * Plugin admin menu initialization
     * @return void
     */
    public static function admin_menu() {

    }

    /**
     * Plugin activation hook
     * @return void
     */
    public static function activate(): void {
        Options::defaults();
    }

    /**
     * Plugin deactivation hook
     * @return void
     */
    public static function deactivate(): void {}

    /**
     * Plugin uninstall hook
     * @return void
     */
    public static function uninstall(): void {
        Options::delete();
    }

    /**
     * Register public settings
     * @return void
     */
    private static function register_settings() {
        register_setting(
            self::OPTION_GROUP,
            Options::CACHE_DURATION,
            array(
                'type' => 'integer',
                'default' => 600,
                'description' => __("Cache duration in seconds")
            )
        );

        register_setting(
            self::OPTION_GROUP,
            Options::USER_CACHE_DURATION,
            array(
                'type' => 'integer',
                'default' => 60,
                'description' => __("User specific cache duration in seconds")
            )
        );

        register_setting(
            self::OPTION_GROUP,
            Options::INCLUDE_PRODUCTS,
            array(
                'type' => 'boolean',
                'default' => true,
                'description' => __("Expose active membership products in Rest API")
            )
        );
    }

}