<?php
/*
 * Plugin Name: Member status API for MemberPress
 * Plugin URI: https://www.nakko.com/plugins?plugin=mp-member-status
 * Description: This plugin extends the WordPress REST API with MemberPress membership and product data.
 * Version: 1.2.1
 * Author: Nakko
 * Author URI: https://www.nakko.com
 * License: GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: mepr-member-status
 * Domain Path: /languages
 */

if (!defined('ABSPATH')) exit; // Exit if accessed directly

define("MEPR_MEMBER_STATUS_PLUGIN_PATH", plugin_dir_path(__FILE__));
define("MEPR_MEMBER_STATUS_OPTION_PREFIX", "mepr_member_status_");

require_once(MEPR_MEMBER_STATUS_PLUGIN_PATH . 'autoload.php');

register_activation_hook(__FILE__, "Nakko\MeprMemberStatus\MemberStatusPlugin::activate");
register_deactivation_hook(__FILE__, "Nakko\MeprMemberStatus\MemberStatusPlugin::deactivate");
register_uninstall_hook(__FILE__, "Nakko\MeprMemberStatus\MemberStatusPlugin::uninstall");

add_action('init', "Nakko\MeprMemberStatus\MemberStatusPlugin::init");
add_action('admin_init', "Nakko\MeprMemberStatus\MemberStatusPlugin::admin_init");
add_action('admin_menu', "Nakko\MeprMemberStatus\MemberStatusPlugin::admin_menu");

add_action('rest_api_init', "Nakko\MeprMemberStatus\MemberStatusApi::init");
add_action('rest_api_init', "Nakko\MeprMemberStatus\MemberPressFieldExtension::init");